Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Kreise in Punkte konvertieren, AutoCad Map 2005

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Kreise in Punkte konvertieren, AutoCad Map 2005 (348 mal gelesen)
bender83
Mitglied


Sehen Sie sich das Profil von bender83 an!   Senden Sie eine Private Message an bender83  Schreiben Sie einen Gästebucheintrag für bender83

Beiträge: 3
Registriert: 27.04.2006

erstellt am: 27. Apr. 2006 14:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen!
Ich hoffe mein Problem ist ein leichtes und ohne zusätzliche Tools lösbar. Ich arbeite nun scho seit ein paar Jahren mit AutoCad Map. Ich brauchte bisher nur einfachere Funktionen und hatte von daher nie Probleme. Erst seit kurzem haben wir hier ein Problem. Wir haben einen neuen Theodolit gekauft und unser Alter (ca. 10-15 Jahre alt) wurde ersetzt. Daher ergeben sich einige Probleme welche ich teilweise (umständlich) lösen konnte. Der neue Theodolit kann Pläne lesen und am Display anzeigen. Ich kann das Gerät mit DXF, CSV, TXT und GSI füttern. Ich habe bisher nur mit DXF und CSV gearbeitet, bzw. versucht. Das Problem ist folgendes:
Ich lege mir meine Plangrundlage zurecht und lade den Plan als DXF auf  den Theo. Das ist ja ganz einfach, aber ich weiss ja nun nicht, welcher Punkt welche Nummer hat, da die der Theo beim raufspielen automatisch vergibt. Bei grossen Plänen mit rund 2000-10000 Punkte klickt man sich dann schon ewig durch, bis man den gewünschten gefunden hat.
Da wir oft vermessen und die Nummern der Polygone und Grenzpunkte (als Anschlusspunkte) brauchen, habe ich es bei einem kleinen Plan so gemacht, dass ich auf die entsprechenden Polygone oder Grenzpunkte (Welche im Grundbuch als Kreise dargestellt werden) einen Punkt gesetzt habe und diese anschliessend über Civil -> Punkte -> erstellen erstellt habe und anschliessend, wenn ich alle gemacht habe in eine ASCII Datei exportiert habe. Vom Theo habe ich meine DXF Datei als CSV zurückgesendet. Darin füge ich nun meine erstellten Punkte ein und weiss nachher, welcher Punkt, welche Nummer hat.
Wie gesagt, bei kleinen Plänen mit 10-40 Punkte ist dies ja noch akzeptabel, aber bei grossen Plänen kommt man nirgens hin. Alleine bis ich alle Punkte erstellt habe.
Darum frage ich mich ob es möglich ist, die Kreise in Punkte zu konvertieren. Oder gibt es eine Möglichkeit, die Kreise mit Punktnummern zu versehen und diese in eine Liste zu exportieren?

Ich hoffe es kann mir jemand helfen. Habe schon das Forum durchsucht und ähnliche Sachen gefunden. Nur halt nicht genau das, was ich brauche.

Besten Dank im Voraus!
Grüsse bender

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19237
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 27. Apr. 2006 16:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für bender83 10 Unities + Antwort hilfreich

[altertextgelöscht]

hier schwirrt ein Tool was Kreise zu Punkten konvertiert,
du benötigst aber anscheinend Kreis-->Blockreferenz, wobei
der Block ein Attribut "Nummer" haben sollte - welches
ausgefüllt (hochgezählt) werden muß..

richtig ?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bender83
Mitglied


Sehen Sie sich das Profil von bender83 an!   Senden Sie eine Private Message an bender83  Schreiben Sie einen Gästebucheintrag für bender83

Beiträge: 3
Registriert: 27.04.2006

erstellt am: 27. Apr. 2006 16:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Das heisst ich müsste jeden Kreis erst in einen Block umwandeln und ihm eine Nummer geben? Dies würde ja ewig dauern.
Das Tool habe ich (noch) nicht gefunden.
Ich brauche von den Kreisen (Grenzpunkte, Polygone) eine Liste mit X/Y/Z Koordinaten und die Nummer zum Punkt. Dies halt auch im Plan, damit ich auf der Baustelle auch weiss, welcher Punkt, welche Nummer hat...
Ansonstens müsste ich den Plan als DXF auf de Theo spielen und als TXT ider CSV (und DXF) zurück. So gibt der Theo die Nummern. Das Problem bei der Sache ist, dass dann jeder Schnittpunkt, jedes Gebäudeecke, einfach alles eine Nummer kriegt und das ganze extrem unübersichtlich wird.
Einfach gesagt: Ich geh raus um einzumessen. Ich habe einen Plan dabei auf welchem die Polygone und Grenzpunkte eine Nummer haben und ich ganz einfach den Punkt auf dem Disply suchen kann um einzumessen.

Darum muss ich die Grenzpunkte und Polygone (Kreise auf dem Plan) Nummerieren und als Liste exportieren, welche ich dann dem Plan hinzufüge. Ich weiss nicht, ob das direkt über ein DXF geht...
Hoffe es ist nun ein wenig verständlicher als vorher. 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

gmk
Mitglied
Dipl.-Ing.(FH) Vermessung


Sehen Sie sich das Profil von gmk an!   Senden Sie eine Private Message an gmk  Schreiben Sie einen Gästebucheintrag für gmk

Beiträge: 641
Registriert: 23.10.2002

Autocad 2004, WS CadCompass, Normica V2000, WinXP Prof., AMD Athlon 64 X2, 2GB, NVIDIA GeForce 7600GS, HP1055CM

erstellt am: 27. Apr. 2006 16:51    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für bender83 10 Unities + Antwort hilfreich

(DEFUN c:gmk_knb ( /
aws
n
zl
ele
wahl
)


(SETQ aws (SSGET "X" (list (cons 0 "CIRCLE")(cons 8 "DEIN LAYER"))))
(SETQ n (SSLENGTH aws))
(SETQ zl 0)
(WHILE (< zl n)
  (SETQ wahl (SSNAME aws zl))
  (SETQ ele (ENTGET wahl))
  (COMMAND "_-insert" "DEIN BLOCKNAME" (CDR(ASSOC 10 ele)) "0.25" "0.25" "0" zl "0")
  (SETQ zl (+ 1 zl)) 
)
)

mit diesem lisp kannst du kreise in blöcke umwandeln.
du brauchst einen block mit zwei attributen, in der vermessung üblich sind punktnummer und höehe. den block oben eintragen bei DEIN BLOCKNAME. Bei DEIN LAYER den layernamen eintragen auf dem sich die kreise befinden.

ciao georg

[Diese Nachricht wurde von gmk am 27. Apr. 2006 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19237
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 27. Apr. 2006 16:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für bender83 10 Unities + Antwort hilfreich

1. gibt es ein TOOL welches aus einem Kreis einen Block machen
könnte (Blockreferenzen statt Kreis)

2. Ist es am besten wenn du noch ein wenig stöberst im Forum -
diese Aufgabe gab es schon öfters und es sind einige Lösungen bzw.
Teillösungen bereits gefunden oder erschaffen worden.

Ich kann leider nur darauf verweisen weil ich selbst länger suchen müßte
und dafür keine Zeit habe.

Kurz: Es gibt Hoffnung !

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bender83
Mitglied


Sehen Sie sich das Profil von bender83 an!   Senden Sie eine Private Message an bender83  Schreiben Sie einen Gästebucheintrag für bender83

Beiträge: 3
Registriert: 27.04.2006

erstellt am: 27. Apr. 2006 17:12    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke erstmal...
Ich habe das mit dem Lisp versucht. Kenne mich kein bischen damit aus. Habe es unter AUTOLisp erstellt, gespeichert...dann ist AutoCad abgestürzt und nun wen ich AutoCad öffne und auf Öffnen klicke geht das Explorerfenster nicht mehr auf, stattdessen soll ich unten über die Code-Zeile angeben welche Datei ich öffnen will. Weiss grad einer, wie ich das wieder hinbiege.
Nach dem Tool habe ich schon gesucht, aber noch nichts gefunden. Werde mal noch weiter suchen. Wenn ich dann endlich Blöcke hätte, wie wandle ich nun diese in Punkte um?
Ich habe hier ein Grundbuch, wo diese Kreise schon Blockreferenzen sind. Habe gelesen, dass ich über refbearb diese ändern kann. Aber immer wenn ich diese Referenz ändern möchte, sagt er mir:
** Ein ungleichmäßig skalierter Block kann nicht mit REFBEARB bearbeitet werden **
Was auch immer dies zu bedeuten hat...

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1649
Registriert: 11.10.2004

Window 8.1
ACAD 2012-2019
CIVIL 2012 - 2019
BricsCAD V14-V18
Intel(R) Core(TM)i5-8250U CPU @ 1.60GHz 1.80 GHz
16.0GB RAM
NVIDIA GeForce GTX 1050

erstellt am: 27. Apr. 2006 17:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für bender83 10 Unities + Antwort hilfreich

Hallo Bender83,

"FILEDIA" auf 1 stellen.

------------------
viele Grüße

Jörn

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

gmk
Mitglied
Dipl.-Ing.(FH) Vermessung


Sehen Sie sich das Profil von gmk an!   Senden Sie eine Private Message an gmk  Schreiben Sie einen Gästebucheintrag für gmk

Beiträge: 641
Registriert: 23.10.2002

Autocad 2004, WS CadCompass, Normica V2000, WinXP Prof., AMD Athlon 64 X2, 2GB, NVIDIA GeForce 7600GS, HP1055CM

erstellt am: 27. Apr. 2006 17:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für bender83 10 Unities + Antwort hilfreich

... und hier ist erklärt wie man ein lisp lädt.
http://ww3.cad.de/foren/ubb/Forum54/HTML/007058.shtml

ciao georg

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz